acl.c File Reference
`#include "config.h"`
`#include "log.h"`
`#include "file.h"`
`#include "status.h"`
`#include "wire/acl.h"`

Go to the source code of this file.

## Functions

int | acl_parse_family (const char *a)
acl_type * | acl_create (char *address, char *port, char *tsig_name, tsig_type *tsig)
int | addr2ip (struct sockaddr_storage addr, char *ip, size_t len)
acl_type * | acl_find (acl_type *acl, struct sockaddr_storage *addr, tsig_rr_type *trr)
void | acl_cleanup (acl_type *acl)

## Function Documentation

## acl_cleanup()

void acl_cleanup | ( | acl_type * | acl | ) |

Clean up ACL.

Definition at line 456 of file acl.c.

References acl_cleanup(), acl_struct::address, and acl_struct::next.

Referenced by acl_cleanup(), acl_create(), dnsin_cleanup(), and dnsout_cleanup().

## acl_create()

acl_type * acl_create | ( | char * | address,
|  | char * | port,
|  | char * | tsig_name,
|  | tsig_type * | tsig )

Create ACL.

Definition at line 126 of file acl.c.

References acl_cleanup(), acl_parse_family(), ACL_RANGE_MASK, ACL_RANGE_MINMAX, ACL_RANGE_SUBNET, acl_addr_storage::addr, acl_struct::addr, acl_addr_storage::addr6, acl_struct::address, acl_struct::family, acl_struct::ixfr_disabled, acl_struct::next, acl_struct::port, acl_struct::range_mask, acl_struct::range_type, acl_struct::tsig, and tsig_lookup_by_name().

## acl_find()

acl_type * acl_find | ( | acl_type * | acl,
|  | struct sockaddr_storage * | addr,
|  | tsig_rr_type * | trr )

Find ACL.

Definition at line 437 of file acl.c.

References acl_struct::address, and acl_struct::next.

## acl_parse_family()

int acl_parse_family | ( | const char * | a | ) |

Parse family from address.

Definition at line 104 of file acl.c.

Referenced by acl_create(), and parse_conf_listener().

## addr2ip()

int addr2ip | ( | struct sockaddr_storage | addr,
|  | char * | ip,
|  | size_t | len )

Address storage to IP string.

Definition at line 416 of file acl.c.